# -*- coding: utf-8 -*- 
"""

tests de haut niveau concernant le backend era, 
c'est à dire que les tests concernent 
- un fichier d'entrée 
- un fichier de sortie

"""

import autopath
from os.path import join 
from era.tests.hlcompile import high_level_compile as compiler
from era.tests.utils import TempFile

def test_compile():
    """
    ce test est surtout là pour voir que le compiler se lance
    et produit bien un résultat
    """
    tp = TempFile()
    model_file = join(autopath.HERE, "data", "hlcompiler.xml")
    compiler(model_file, tp.tmpfname)
    assert "iptables" in tp.read()
    tp.clean()

